Skip to main content
POST
/
api
/
v1
/
transaction
Asynchronously enqueues a request to create a new transaction item.
curl --request POST \
  --url https://api.example.com/api/v1/transaction \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalId": "<string>",
  "type": "<string>",
  "affiliateId": "<string>",
  "clickKey": "<string>",
  "externalCustomerId": "<string>",
  "externalBrandId": "<string>",
  "externalProductId": "<string>",
  "transactionDate": "2023-11-07T05:31:56Z",
  "country": "<string>",
  "country_code": "<string>",
  "depositAmount": 123,
  "grossRevenue": 123,
  "wageredAmount": 123,
  "revShareCommission": 123,
  "cpaCommission": 123,
  "fixedCommission": 123,
  "category": "<string>",
  "label": "<string>",
  "note": "<string>",
  "operatorId": "<string>"
}
'
import requests

url = "https://api.example.com/api/v1/transaction"

payload = {
"externalId": "<string>",
"type": "<string>",
"affiliateId": "<string>",
"clickKey": "<string>",
"externalCustomerId": "<string>",
"externalBrandId": "<string>",
"externalProductId": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"country": "<string>",
"country_code": "<string>",
"depositAmount": 123,
"grossRevenue": 123,
"wageredAmount": 123,
"revShareCommission": 123,
"cpaCommission": 123,
"fixedCommission": 123,
"category": "<string>",
"label": "<string>",
"note": "<string>",
"operatorId": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: '<string>',
type: '<string>',
affiliateId: '<string>',
clickKey: '<string>',
externalCustomerId: '<string>',
externalBrandId: '<string>',
externalProductId: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
country: '<string>',
country_code: '<string>',
depositAmount: 123,
grossRevenue: 123,
wageredAmount: 123,
revShareCommission: 123,
cpaCommission: 123,
fixedCommission: 123,
category: '<string>',
label: '<string>',
note: '<string>',
operatorId: '<string>'
})
};

fetch('https://api.example.com/api/v1/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Headers

X-Api-Key
string

Body

The new transaction item body.

externalId
string | null
type
string | null
affiliateId
string | null
clickKey
string | null
externalCustomerId
string | null
externalBrandId
string | null
externalProductId
string | null
transactionDate
string<date-time>
country
string | null
country_code
string | null
depositAmount
number<double>
grossRevenue
number<double>
wageredAmount
number<double>
revShareCommission
number<double>
cpaCommission
number<double>
fixedCommission
number<double>
category
string | null
label
string | null
note
string | null
operatorId
string | null

Response

202

Accepted